/* null styles */

*{
	padding: 0;
	margin: 0;
	border: 0;
}
*,*:before,*:after{
	-moz-box-sizing: border-box;
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
}
:focus,:active{outline: none;}
a:focus,a:active{outline: none;}

nav,footer,header,aside{display: block;}

html,body{
	height: 100%;
	width: 100%;
	font-size: 100%;
	line-height: 1;
	font-size: 14px;
	-ms-text-size-adjust: 100%;
	-moz-text-size-adjust: 100%;
	-webkit-text-size-adjust: 100%;
}
input,button,textarea{font-family:inherit;}

input::-ms-clear{display: none;}
button{cursor: pointer;}
button::-moz-focus-inner {padding:0;border:0;}
a, a:visited{text-decoration: none;}
a:hover{text-decoration: none;}
ul li{list-style: none;}
img{vertical-align: top;}
button{background-color: inherit;}

h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight: 400;}

/* custom styles */

.header {
  height: 70px;
  background-color: #414ba8;
  width: 100%;
  display: flex;
  justify-content: space-around;
  align-items: center;
}

.header h1 {
  font-size: 26px;
  font-weight: 600;
  color: #fff;
}

.header a {
  height: 30px;
  width: 80px;
  display: block;
  border-radius: 5px;
  color: #fff;
  background-color: #242635;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 16px;
}

.form-wrapper {
  min-height: calc(100vh - 70px);
  display: flex;
  justify-content: center;
  align-items: center;
}

.form-wrapper label {
  font-size: 18px;
  font-weight: 500;
}

.form-group {
  margin-bottom: 15px;
}

.form-input {
  width: 250px;
  height: 30px;
  border-radius: 5px;
  border: 2px solid #414ba8;
  margin-top: 10px;
  padding: 5px;
  font-size: 16px;
}

.form-button {
  width: 250px;
  height: 30px;
  background-color: #1e2777;
  color: #fff;
  font-weight: 500;
  font-size: 16px;
  border-radius: 5px;
}

.auto-hide {
  animation: hideAnimation 0s ease-in 3s;
  animation-fill-mode: forwards;
  text-align: center;
  position: absolute;
  top: 120px;
  left: 50%;
  transform: translateX(-50%);
  height: 70px;
  background-color: #eca950;
  font-size: 24px;
  border-radius: 5px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 400px;
}

@keyframes hideAnimation {
  to {
    visibility: hidden;
    width: 0;
    height: 0;
  }
}

.main-wrapper {
  min-height: calc(100vh - 70px);
  display: flex;
  justify-content: center;
  align-items: center;
}

.refresh-button {
  width: 150px;
  height: 30px;
  background-color: #1e2777;
  color: #fff;
  font-weight: 500;
  font-size: 16px;
  border-radius: 5px;
}

.rows-wrapper {
  padding-top: 20px;
  max-width: 900px;
  width: 100%;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  gap: 10px
}

.row {
  width: 100%;
  height: 200px;
  display: flex;
  align-items: center;
  border: 2px solid #1e2777;
  border-radius: 10px;
  padding: 10px;
  gap: 15px;
}

.row .image {
  max-width: 200px;
  width: 100%;
  height: 100%;
}

.row .image img {
  object-fit: contain;
  width: 100%;
  height: 100%;
}

.row .row-info {
  display: flex;
  flex-direction: column;
  gap: 10px;
  width: 100%;
}

.row-button {
  width: 120px;
  height: 30px;
  border-radius: 5px;
  background-color: #1e2777;
  font-size: 16px;
  font-weight: 500;
  color: #fff;
}

.sort-button {
    width: 120px;
    height: 30px;
    border-radius: 5px;
    background-color: #1e2777;
    font-size: 16px;
    font-weight: 500;
    color: #fff;
    margin: 0 auto;
}